# Class OldSaxonSchemaReaderFactory

java.lang.Object
com.thaiopensource.validate.schematron.SchematronSchemaReaderFactory
com.thaiopensource.validate.schematron.OldSaxonSchemaReaderFactory

All Implemented Interfaces:
  `SchemaReaderFactory`, `TransformerFactoryInitializer`

public class OldSaxonSchemaReaderFactory extends SchematronSchemaReaderFactory

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OldSaxonSchemaReaderFactory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `initTransformerFactory(net.sf.saxon.TransformerFactoryImpl factory)`
  `SAXTransformerFactory`
  `newTransformerFactory()`

  ### Methods inherited from class com.thaiopensource.validate.schematron.SchematronSchemaReaderFactory

  `createSchemaReader, getOption, initTransformerFactory`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### OldSaxonSchemaReaderFactory

    public OldSaxonSchemaReaderFactory()

- ## Method Details

  - ### newTransformerFactory

    public SAXTransformerFactory newTransformerFactory()
    Overrides:
      `newTransformerFactory` in class `SchematronSchemaReaderFactory`

  - ### initTransformerFactory

    public void initTransformerFactory(net.sf.saxon.TransformerFactoryImpl factory)